安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202211-1057

公告ID:KYSA-202211-1057 公告摘要:glibc安全漏洞 等级:Important 发布日期:2022-11-29

详细介绍

1.修复的CVE ·CVE-2014-9761 描述:GNU C Library(又名glibc,libc6)是一种按照LGPL许可协议发布的开源免费的C语言编译程序。GNU C Library 2.23之前版本中存在基于栈的缓冲区溢出漏洞。攻击者可借助‘nan’、‘nanf’或‘nanl’函数的较长的参数利用该漏洞造成拒绝服务(应用程序崩溃),或执行任意代码。 ·CVE-2015-5277 描述:GNU C Library(又名glibc,libc6)是一种按照LGPL许可协议发布的开源免费的C语言编译程序。GNU C Library 2.20之前版本的Name Service Switch(NSS)中的nss_files/files-XXX.c文件中的‘get_contents’函数存在安全漏洞。本地攻击者可借助NSS文件数据库中较长的行利用该漏洞造成拒绝服务(堆内存损坏),或获取权限。 2.受影响的软件包 ·银河麒麟高级服务器操作系统 V10 ·aarch64架构: glibc、glibc-common、glibc-devel、glibc-headers、glibc-static、glibc-utils、nscd 3.软件包修复版本 ·银河麒麟高级服务器操作系统 V10 (aarch64) glibc-2.17-260.el7.ns7.02或以上版本 glibc-common-2.17-260.el7.ns7.02或以上版本 glibc-devel-2.17-260.el7.ns7.02或以上版本 glibc-headers-2.17-260.el7.ns7.02或以上版本 glibc-static-2.17-260.el7.ns7.02或以上版本 glibc-utils-2.17-260.el7.ns7.02或以上版本 nscd-2.17-260.el7.ns7.02或以上版本 4.修复方法 方法一:配置源进行升级安装 1.打开软件包源配置文件,根据仓库地址进行修改。 仓库源地址: 银河麒麟高级服务器操作系统 V10 aarch64:https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/ 2.配置完成后执行更新命令进行升级,命令如下: yum update Packagename 方法二:下载安装包进行升级安装 通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包 列表进行升级安装, 命令如下: yum install Packagename 3.升级完成后是否需要重启服务或操作系统: CVE-2014-9761:需要重启 glibc 以使漏洞修复生效。 CVE-2015-5277:需要重启操作系统以使漏洞修复生效。 5.软件包下载地址 ·银河麒麟高级服务器操作系统 V10 glibc(aarch64)软件包下载地址: https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-common-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-devel-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-headers-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-static-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/glibc-utils-2.17-260.el7.ns7.02.aarch64.rpm https://update.cs2c.com.cn/NS/V10/V10-ZJ/os/adv/lic/updates/aarch64/Packages/nscd-2.17-260.el7.ns7.02.aarch64.rpm 注:其他相关依赖包请到相同目录下载 6.修复验证 使用软件包查询命令,查看相关软件包版本是否与修复版本一致,如果版本一致,则说明修复成功。 sudo rpm -qa | grep Packagename
上一篇: KYSA-202211-1056 下一篇: KYSA-202211-1058

试用

服务

动态

联系